/*
 *  MOB: A Memory Organization Benchmarking Tool 
 *
 *  Copyright (C) 2000-2001 Josep M. Blanquer and Robert C. Chalmers 
 *
 *  This package is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 *  Author: Josep M. Blanquer <blanquer@cs.ucsb.edu> 
 *          Robert C. Chalmers <robertc@cs.ucsb.edu> 
 *
 */
/**
 * Small code segment used to find assembly codes for 
 * new architectures that will be used to supply the
 * machine-dependent code blocks necessary to generate code.
 **/


/*
  Code segment with minimal operations to produce needed
  assembly codes.

  return - always returns zero
*/
int main( void ) {

  int a, b;
  void *ret;

  /* shows local variable to register assignment and
     register addition */
  for( a = 1000; a; a-- )
    b += a;

  /* shows label assignment and jump using register */
  ret = &&retLabel;
  goto *ret;

 retLabel:
  return( 0 );
}
